<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Admin TASK management
 *
 * @package    Task
 * @category   Controllers/Admin
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Admin_Task extends Controller_Task {
	protected $auth_required = TRUE;

	protected $secure_actions = array(
		'log'=>TRUE,
	);

	/**
	 * Show a list of tasks run
	 */
	public function action_log() {
		Block::factory()
			->title(_('Task Log'))
			->title_icon('icon-th-list')
			->body(Table::factory()
				->page_items(50)
				->data(ORM::factory('Task_Log')->find_all())
				->columns(array(
					'id'=>'ID',
					'date_orig'=>'Date',
					'task->display("name")'=>'Task',
					'result'=>'Result',
					'message'=>'Message',
				)));
	}
}
?>
